## org.biojava.stats.svm
Class SimpleSVMTarget

    java.lang.Object
      |
      +--org.biojava.stats.svm.SimpleSVMTarget

public class SimpleSVMTarget
extends java.lang.Object
implements SVMTarget

No-frills implementation of SVMTarget.

Author:
  Matthew Pocock

Constructor Summary
`SimpleSVMTarget()`
`SimpleSVMTarget(java.util.Collection items)`

Method Summary
`void` `addItem(java.lang.Object item)`
`void` `addItemTarget(java.lang.Object item, double target)`
`void` `clear()`
`double` `getTarget(java.lang.Object item)`
`java.util.Set` `items()`
`java.util.Set` `itemTargets()`
`void` `removeItem(java.lang.Object item)`
`void` `setTarget(java.lang.Object item, double target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSVMTarget

    public SimpleSVMTarget()

### SimpleSVMTarget

    public SimpleSVMTarget(java.util.Collection items)

Method Detail

### items

    public java.util.Set items()

  Specified by:
    items in interface SVMTarget

### itemTargets

    public java.util.Set itemTargets()

  Specified by:
    itemTargets in interface SVMTarget

### getTarget

    public double getTarget(java.lang.Object item)

  Specified by:
    getTarget in interface SVMTarget

### setTarget

    public void setTarget(java.lang.Object item,
                          double target)

  Specified by:
    setTarget in interface SVMTarget

### addItem

    public void addItem(java.lang.Object item)

  Specified by:
    addItem in interface SVMTarget

### addItemTarget

    public void addItemTarget(java.lang.Object item,
                              double target)

  Specified by:
    addItemTarget in interface SVMTarget

### removeItem

    public void removeItem(java.lang.Object item)

  Specified by:
    removeItem in interface SVMTarget

### clear

    public void clear()

  Specified by:
    clear in interface SVMTarget